stages:
    - setup
    - assignment

folders_are_ok:
    image: 'python:3.6'
    before_script:
        - pip install pipenv
        - cd framework
        - pipenv install --dev --deploy
    script:
        - pipenv run python generate_gitlab_ci.py > gitlab-reference
        - diff gitlab-reference ../.gitlab-ci.yml
        - pipenv run black --check ..
    stage: setup
    

abittavr_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'AbittaVR'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/AbittaVR/mock_midsem.py

abittavr_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'AbittaVR'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/AbittaVR/midsem.py


abittavr:
    image: 'python:3.6'
    variables:
        NAME: 'AbittaVR'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


ajil_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Ajil'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Ajil/mock_midsem.py

ajil_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Ajil'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Ajil/midsem.py


ajil:
    image: 'python:3.6'
    variables:
        NAME: 'Ajil'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


akhil-k-k_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Akhil-K-K'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Akhil-K-K/mock_midsem.py

akhil-k-k_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Akhil-K-K'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Akhil-K-K/midsem.py


akhil-k-k:
    image: 'python:3.6'
    variables:
        NAME: 'Akhil-K-K'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


alex-scaria_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Alex-Scaria'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Alex-Scaria/mock_midsem.py

alex-scaria_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Alex-Scaria'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Alex-Scaria/midsem.py


alex-scaria:
    image: 'python:3.6'
    variables:
        NAME: 'Alex-Scaria'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


alida-baby_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Alida-Baby'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Alida-Baby/mock_midsem.py

alida-baby_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Alida-Baby'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Alida-Baby/midsem.py


alida-baby:
    image: 'python:3.6'
    variables:
        NAME: 'Alida-Baby'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


anandha-krishnan-h_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Anandha-Krishnan-H'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Anandha-Krishnan-H/mock_midsem.py

anandha-krishnan-h_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Anandha-Krishnan-H'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Anandha-Krishnan-H/midsem.py


anandha-krishnan-h:
    image: 'python:3.6'
    variables:
        NAME: 'Anandha-Krishnan-H'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


anju-vinod_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Anju-Vinod'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Anju-Vinod/mock_midsem.py

anju-vinod_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Anju-Vinod'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Anju-Vinod/midsem.py


anju-vinod:
    image: 'python:3.6'
    variables:
        NAME: 'Anju-Vinod'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


arvind_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Arvind'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Arvind/mock_midsem.py

arvind_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Arvind'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Arvind/midsem.py


arvind:
    image: 'python:3.6'
    variables:
        NAME: 'Arvind'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


ashwiniseelan_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Ashwiniseelan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Ashwiniseelan/mock_midsem.py

ashwiniseelan_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Ashwiniseelan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Ashwiniseelan/midsem.py


ashwiniseelan:
    image: 'python:3.6'
    variables:
        NAME: 'Ashwiniseelan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


dhanesh_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Dhanesh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Dhanesh/mock_midsem.py

dhanesh_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Dhanesh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Dhanesh/midsem.py


dhanesh:
    image: 'python:3.6'
    variables:
        NAME: 'Dhanesh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


giridhar_k_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Giridhar_K'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Giridhar_K/mock_midsem.py

giridhar_k_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Giridhar_K'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Giridhar_K/midsem.py


giridhar_k:
    image: 'python:3.6'
    variables:
        NAME: 'Giridhar_K'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


hima-santhosh_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Hima-Santhosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Hima-Santhosh/mock_midsem.py

hima-santhosh_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Hima-Santhosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Hima-Santhosh/midsem.py


hima-santhosh:
    image: 'python:3.6'
    variables:
        NAME: 'Hima-Santhosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


lipsa_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Lipsa'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Lipsa/mock_midsem.py

lipsa_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Lipsa'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Lipsa/midsem.py


lipsa:
    image: 'python:3.6'
    variables:
        NAME: 'Lipsa'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


olivitj_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'OliviTJ'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/OliviTJ/mock_midsem.py

olivitj_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'OliviTJ'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/OliviTJ/midsem.py


olivitj:
    image: 'python:3.6'
    variables:
        NAME: 'OliviTJ'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


praveen-pratik_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'PRAVEEN-PRATIK'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/PRAVEEN-PRATIK/mock_midsem.py

praveen-pratik_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'PRAVEEN-PRATIK'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/PRAVEEN-PRATIK/midsem.py


praveen-pratik:
    image: 'python:3.6'
    variables:
        NAME: 'PRAVEEN-PRATIK'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


sanjumariam_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Sanjumariam'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Sanjumariam/mock_midsem.py

sanjumariam_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Sanjumariam'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Sanjumariam/midsem.py


sanjumariam:
    image: 'python:3.6'
    variables:
        NAME: 'Sanjumariam'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


shravan_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Shravan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Shravan/mock_midsem.py

shravan_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Shravan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Shravan/midsem.py


shravan:
    image: 'python:3.6'
    variables:
        NAME: 'Shravan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


sreehari-p-v_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Sreehari-P-V'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Sreehari-P-V/mock_midsem.py

sreehari-p-v_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Sreehari-P-V'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Sreehari-P-V/midsem.py


sreehari-p-v:
    image: 'python:3.6'
    variables:
        NAME: 'Sreehari-P-V'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


tathagata-ghosh_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Tathagata-Ghosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/Tathagata-Ghosh/mock_midsem.py

tathagata-ghosh_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'Tathagata-Ghosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/Tathagata-Ghosh/midsem.py


tathagata-ghosh:
    image: 'python:3.6'
    variables:
        NAME: 'Tathagata-Ghosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


vaibhawkumar_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'VaibhawKumar'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/VaibhawKumar/mock_midsem.py

vaibhawkumar_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'VaibhawKumar'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/VaibhawKumar/midsem.py


vaibhawkumar:
    image: 'python:3.6'
    variables:
        NAME: 'VaibhawKumar'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


akhil-siby_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'akhil-siby'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/akhil-siby/mock_midsem.py

akhil-siby_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'akhil-siby'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/akhil-siby/midsem.py


akhil-siby:
    image: 'python:3.6'
    variables:
        NAME: 'akhil-siby'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


anandhu-bhaskar_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'anandhu-bhaskar'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/anandhu-bhaskar/mock_midsem.py

anandhu-bhaskar_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'anandhu-bhaskar'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/anandhu-bhaskar/midsem.py


anandhu-bhaskar:
    image: 'python:3.6'
    variables:
        NAME: 'anandhu-bhaskar'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


anitta-augustine_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'anitta-augustine'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/anitta-augustine/mock_midsem.py

anitta-augustine_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'anitta-augustine'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/anitta-augustine/midsem.py


anitta-augustine:
    image: 'python:3.6'
    variables:
        NAME: 'anitta-augustine'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


ann-mary_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'ann-mary'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/ann-mary/mock_midsem.py

ann-mary_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'ann-mary'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/ann-mary/midsem.py


ann-mary:
    image: 'python:3.6'
    variables:
        NAME: 'ann-mary'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


anu-elizabath-shibu_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'anu-elizabath-shibu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/anu-elizabath-shibu/mock_midsem.py

anu-elizabath-shibu_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'anu-elizabath-shibu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/anu-elizabath-shibu/midsem.py


anu-elizabath-shibu:
    image: 'python:3.6'
    variables:
        NAME: 'anu-elizabath-shibu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


anushka-srivastava_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'anushka-srivastava'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/anushka-srivastava/mock_midsem.py

anushka-srivastava_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'anushka-srivastava'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/anushka-srivastava/midsem.py


anushka-srivastava:
    image: 'python:3.6'
    variables:
        NAME: 'anushka-srivastava'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


arjoonn_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'arjoonn'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/arjoonn/mock_midsem.py

arjoonn_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'arjoonn'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/arjoonn/midsem.py


arjoonn:
    image: 'python:3.6'
    variables:
        NAME: 'arjoonn'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


brittosabu_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'brittosabu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/brittosabu/mock_midsem.py

brittosabu_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'brittosabu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/brittosabu/midsem.py


brittosabu:
    image: 'python:3.6'
    variables:
        NAME: 'brittosabu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


chinju-murali_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'chinju-murali'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/chinju-murali/mock_midsem.py

chinju-murali_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'chinju-murali'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/chinju-murali/midsem.py


chinju-murali:
    image: 'python:3.6'
    variables:
        NAME: 'chinju-murali'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


gokul-p_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'gokul-p'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/gokul-p/mock_midsem.py

gokul-p_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'gokul-p'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/gokul-p/midsem.py


gokul-p:
    image: 'python:3.6'
    variables:
        NAME: 'gokul-p'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


hashim-abdulla_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'hashim-abdulla'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/hashim-abdulla/mock_midsem.py

hashim-abdulla_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'hashim-abdulla'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/hashim-abdulla/midsem.py


hashim-abdulla:
    image: 'python:3.6'
    variables:
        NAME: 'hashim-abdulla'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


jose-vincent_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'jose-vincent'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/jose-vincent/mock_midsem.py

jose-vincent_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'jose-vincent'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/jose-vincent/midsem.py


jose-vincent:
    image: 'python:3.6'
    variables:
        NAME: 'jose-vincent'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


malavika-james_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'malavika-james'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/malavika-james/mock_midsem.py

malavika-james_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'malavika-james'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/malavika-james/midsem.py


malavika-james:
    image: 'python:3.6'
    variables:
        NAME: 'malavika-james'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


megha-ghosh_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'megha-ghosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/megha-ghosh/mock_midsem.py

megha-ghosh_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'megha-ghosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/megha-ghosh/midsem.py


megha-ghosh:
    image: 'python:3.6'
    variables:
        NAME: 'megha-ghosh'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


meghana-muraleedharan_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'meghana-muraleedharan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/meghana-muraleedharan/mock_midsem.py

meghana-muraleedharan_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'meghana-muraleedharan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/meghana-muraleedharan/midsem.py


meghana-muraleedharan:
    image: 'python:3.6'
    variables:
        NAME: 'meghana-muraleedharan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


mobin-m_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'mobin-m'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/mobin-m/mock_midsem.py

mobin-m_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'mobin-m'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/mobin-m/midsem.py


mobin-m:
    image: 'python:3.6'
    variables:
        NAME: 'mobin-m'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


nasim-sulaiman_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'nasim-sulaiman'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/nasim-sulaiman/mock_midsem.py

nasim-sulaiman_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'nasim-sulaiman'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/nasim-sulaiman/midsem.py


nasim-sulaiman:
    image: 'python:3.6'
    variables:
        NAME: 'nasim-sulaiman'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


navya-jose_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'navya-jose'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/navya-jose/mock_midsem.py

navya-jose_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'navya-jose'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/navya-jose/midsem.py


navya-jose:
    image: 'python:3.6'
    variables:
        NAME: 'navya-jose'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


nithin-g_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'nithin-g'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/nithin-g/mock_midsem.py

nithin-g_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'nithin-g'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/nithin-g/midsem.py


nithin-g:
    image: 'python:3.6'
    variables:
        NAME: 'nithin-g'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


nitish_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'nitish'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/nitish/mock_midsem.py

nitish_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'nitish'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/nitish/midsem.py


nitish:
    image: 'python:3.6'
    variables:
        NAME: 'nitish'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


pallavi-pannu_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'pallavi-pannu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/pallavi-pannu/mock_midsem.py

pallavi-pannu_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'pallavi-pannu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/pallavi-pannu/midsem.py


pallavi-pannu:
    image: 'python:3.6'
    variables:
        NAME: 'pallavi-pannu'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


prabhatika_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'prabhatika'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/prabhatika/mock_midsem.py

prabhatika_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'prabhatika'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/prabhatika/midsem.py


prabhatika:
    image: 'python:3.6'
    variables:
        NAME: 'prabhatika'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


princ3_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'princ3'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/princ3/mock_midsem.py

princ3_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'princ3'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/princ3/midsem.py


princ3:
    image: 'python:3.6'
    variables:
        NAME: 'princ3'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


sagnik-mukherjee_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sagnik-mukherjee'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/sagnik-mukherjee/mock_midsem.py

sagnik-mukherjee_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sagnik-mukherjee'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/sagnik-mukherjee/midsem.py


sagnik-mukherjee:
    image: 'python:3.6'
    variables:
        NAME: 'sagnik-mukherjee'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


sandeep_ma_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sandeep_ma'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/sandeep_ma/mock_midsem.py

sandeep_ma_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sandeep_ma'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/sandeep_ma/midsem.py


sandeep_ma:
    image: 'python:3.6'
    variables:
        NAME: 'sandeep_ma'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


sidharth-manmadhan_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sidharth-manmadhan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/sidharth-manmadhan/mock_midsem.py

sidharth-manmadhan_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sidharth-manmadhan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/sidharth-manmadhan/midsem.py


sidharth-manmadhan:
    image: 'python:3.6'
    variables:
        NAME: 'sidharth-manmadhan'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


sreyac_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sreyac'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/sreyac/mock_midsem.py

sreyac_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sreyac'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/sreyac/midsem.py


sreyac:
    image: 'python:3.6'
    variables:
        NAME: 'sreyac'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


sukesh_s_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sukesh_s'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/sukesh_s/mock_midsem.py

sukesh_s_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'sukesh_s'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/sukesh_s/midsem.py


sukesh_s:
    image: 'python:3.6'
    variables:
        NAME: 'sukesh_s'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


ummarshaik_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'ummarshaik'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/ummarshaik/mock_midsem.py

ummarshaik_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'ummarshaik'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/ummarshaik/midsem.py


ummarshaik:
    image: 'python:3.6'
    variables:
        NAME: 'ummarshaik'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


vinu-abraham_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'vinu-abraham'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/vinu-abraham/mock_midsem.py

vinu-abraham_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'vinu-abraham'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/vinu-abraham/midsem.py


vinu-abraham:
    image: 'python:3.6'
    variables:
        NAME: 'vinu-abraham'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


vinu-alex_mock_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'vinu-alex'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - cp ../../framework/mockmidsem/case1.py .
        - cp ../../framework/mockmidsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
    stage: assignment
    rules:
        - exists:
            - people/vinu-alex/mock_midsem.py

vinu-alex_midsem:
    image: 'python:3.6'
    variables:
        NAME: 'vinu-alex'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - "touch metrics.txt"
        - cp ../../framework/midsem/case1.py .
        - cp ../../framework/midsem/case2.py .
    script:
        - ls
        - python case1.py
        - python case2.py
        - mv metrics.txt ../..
        - cd ../..
        - ls
        - cat metrics.txt
    stage: assignment
    artifacts:
        reports:
            metrics: metrics.txt
    rules:
        - exists:
            - people/vinu-alex/midsem.py


vinu-alex:
    image: 'python:3.6'
    variables:
        NAME: 'vinu-alex'
    before_script:
        - echo $NAME
        - cd "people/$NAME"
        - touch dummy.py
        - pip install gym numpy
    script:
        - python ../../framework/checker.py
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'


world_road_crosspy:
    image: 'python:3.6'
    variables:
        WORLD: 'framework/worlds/road_cross.py'
    before_script:
        - pip install pipenv
        - echo $WORLD
        - pipenv install --dev --deploy
    script:
        - pipenv run python framework/simulation.py "$WORLD"
    stage: assignment
    coverage: '/AssignmentsDone: \d+/'
    
